> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Timeline Event

> Get the data for a specific timeline event. All data that the event has will be returned, including the optional fields that were set for you.

export const ScopesList = ({scopes = [], description = "この API には、次のいずれかのスコープが必要です。"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Scope requirements">
  <ScopesList scopes={['timeline']} />
</Accordion>


## OpenAPI

````yaml specs/legacy/v1/crm-timeline-v1.json GET /integrations/v1/{application-id}/timeline/event/{event-type-id}/{event-id}
openapi: 3.0.0
info:
  title: CRM Timeline Events API v1
  version: 1.0.0
  description: Legacy CRM Timeline Events API v1 - Auto-generated from MDX documentation
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /integrations/v1/{application-id}/timeline/event/{event-type-id}/{event-id}:
    get:
      summary: Get Timeline Event
      description: >-
        Get the data for a specific timeline event. All data that the event has
        will be returned, including the optional fields that were set for you.
      operationId: getintegrationsv1applicationidtimelineeventeventtypeideventid
      responses:
        '200':
          description: Successful response - Get the data for a specific timeline event
          content:
            application/json:
              schema:
                type: object
              examples:
                example1:
                  summary: Get Timeline Event - Example 1
                  value:
                    - id: '3'
                      applicationId: 123456
                      portalId: 12345678
                      eventTypeId: 123
                      objectType: CONTACT
                      objectId: 1
                      extraData: null
                      timestamp: 1416852689573
                    - name: John Doe
                      weather: Cloudy

````